IM_ZOOM(3X)

NAME
im_zoom - zoom an image

SYNOPSIS
#include <vips/vips.h> int im_zoom(in, out, xfac, yfac)
IMAGE *in, *out; int xfac, yfac;

DESCRIPTION
im_zoom() zooms the image held by the image descriptor in by factors xfac and yfac and writes the result to the image descriptor out. Works for any type of image, even LABPACK.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_copy(3X), im_similarity(3X).

COPYRIGHT
National Gallery, 1994.